List flights
Deprecated
Deprecated: This endpoint will be removed in the next major AirTrail release. Migrate to GET /api/v1/flights. List flights visible to the authenticated API key. scope=mine requires flight.read.own. scope=user and scope=all require flight.read.any.
bearerAuthAuthorizationBearer <token>Go to Settings -> Security and create a new API key. Use the generated key as the bearer token.
scope?stringWhich flights to return. mine is the default. user and all require flight.read.any.
"mine""mine""user""all"userId?stringThe user ID whose flights should be returned when scope=user.
A list of flights
application/json- response
flights?array<>curl -X GET 'https://your-instance.com/api/flight/list'{ "flights": [ { "id": 0, "from": { "id": 0, "icao": "string", "iata": "string", "name": "string", "lat": 0.1, "lon": 0.1, "type": "large_airport", "continent": "string", "country": "string", "tz": "string" }, "to": { "id": 0, "icao": "string", "iata": "string", "name": "string", "lat": 0.1, "lon": 0.1, "type": "large_airport", "continent": "string", "country": "string", "tz": "string" }, "departure": "string", "arrival": "string", "date": "string", "datePrecision": "day", "passengers": [ { "id": 0, "flightId": 0, "userId": "string", "guestName": "string", "seat": "aisle", "seatNumber": "string", "seatClass": "economy", "flightReason": "leisure" } ], "airline": "string", "flightNumber": "string", "aircraft": "string", "aircraftReg": "string", "note": "string" } ]}Delete an access role DELETE
Previous Page
Export flights GET
**Deprecated:** This endpoint will be removed in the next major AirTrail release. Migrate to `GET /api/v1/flights/export`. Export an AirTrail backup visible to the authenticated API key. The JSON response matches the AirTrail import format. `scope=mine` requires `flight.export.own`. `scope=user` and `scope=all` require `flight.export.any`.
